API referenceWhatsApp
DELETE /phone-numbers/{id}/whatsapp/calling
Disable calling (Meta best-effort)
DELETE
BearerAuthheader
AuthorizationBearer <token>API key sk_...
id*stringBought number id (GET /whatsapp/numbers) or the WhatsApp account id
accountId?stringWhatsApp account id
WhatsAppCallingConfig
application/json- response
phoneNumber?string|nullcallingEnabled?booleancallDeepLink?string|nullforwardTo?|tel:+E164 / sip:user@host / wss://host
recordingEnabled?booleansipAuthUsername?string|nullsipAuthPasswordConfigured?booleancallIconCountries?array<any>|nulloutboundDisabled?booleancallerIdMode?stringValue in
"business""platform"callerIdVerified?booleanmaxCallDurationSeconds?integer|nullforwardCallerId?stringValue in
"business""caller"curl -X DELETE 'https://example.com/api/v1/phone-numbers/string/whatsapp/calling'Example Response
{ "phoneNumber": "string", "callingEnabled": true, "callDeepLink": "string", "forwardTo": "string", "recordingEnabled": true, "sipAuthUsername": "string", "sipAuthPasswordConfigured": true, "callIconCountries": [], "outboundDisabled": true, "callerIdMode": "business", "callerIdVerified": true, "maxCallDurationSeconds": 0, "forwardCallerId": "business"}